//
function loadCssFile(filename) {
	var fileref = document.createElement("link");
	fileref.setAttribute("rel", "stylesheet");
	fileref.setAttribute("type", "text/css");
	fileref.setAttribute("href", filename);

	if (typeof fileref != "undefined") {
		document.getElementsByTagName("head")[0].appendChild(fileref);
	}
}

var title;
var ptime;
var body;
var replyCount;
var replyBoard;
var source;
var more;
var moreButton;
var myBody;
var myTitle;
var textSize;

var hideConditionNum;
var topHideNum;
var bottomHideNum;
var voteArray = {};

var lastRequestLoadImgStart = -1;
var lastRequestLoadImgEnd = -1;

var myVote;

var relation;

var hotreplys;

//
var newsVote;

window.onscroll = function() {
	requestImgLoading();
}

function getTitle() {
	myTitle = document.getElementById('title');
	if (window.news) {
		title = window.news.getTitle();
		myTitle.innerHTML = title;
	}
}

function getSource() {
	var mySource = document.getElementById('source');
	if (window.news) {
		source = window.news.getSource();
		mySource.innerHTML = source;
	}
}

function getTime() {
	var myTime = document.getElementById('ptime');
	if (window.news) {
		ptime = window.news.getTime();
		myTime.innerHTML = ptime;
	}
}

function getBody() {
	myBody = document.getElementById('article_body');

	if (window.news) {
		body = window.news.getBody();
		myBody.innerHTML = body;
	}
}

function getVotes() {
	myVotes = document.getElementById('article_control');

	if (window.news) {
		newsVote = window.news.getVotes();
		myVotes.innerHTML = newsVote;
	}
}

function getTextSize() {
	if (window.news) {
		textSize = window.news.getTextSize();
		switch (textSize) {
		case 0:
			showSuperBigSize();
			break;
		case 1:
			showBigSize();
			break;
		case 2:
			showMidSize();
			break;
		case 3:
			showSmallSize();
			break;
		}
	}
}

function showSuperBigSize() {
	myBody.style.fontSize = "26px";
	myBody.style.lineHeight = "160%";
}

function showBigSize() {
	myBody.style.fontSize = "22px";
	myBody.style.lineHeight = "160%";
}

function showMidSize() {
	myBody.style.fontSize = "18px";
	myBody.style.lineHeight = "150%";
}

function showSmallSize() {
	myBody.style.fontSize = "16px";
	myBody.style.lineHeight = "150%";
}

function requestImgLoading(force) {
	if (!window.news) {
		return;
	}
	screenHeight = 3 * window.screen.height;
	screenHeight = screenHeight / window.devicePixelRatio;

	start = -1;
	end = -1;

	for (i = 0; i < 1000; i++) {
		// alert('a-start-' + i);
		largepic = document.getElementById('largepic' + i);
		if (!largepic) {
			break;
		}

		r = largepic.getBoundingClientRect();

		if (r.bottom > 0) {
			start = i;
			break;
		}
	}
	for (i = start; i < 1000; i++) {
		largepic = document.getElementById('largepic' + i);
		if (!largepic) {
			break;
		}
		end = i;
		r = largepic.getBoundingClientRect();
		if (r.bottom >= screenHeight) {
			break;
		}
	}

	if (force || lastRequestLoadImgStart != start
			|| lastRequestLoadImgEnd != end) {
		lastRequestLoadImgStart = start;
		lastRequestLoadImgEnd = end;
		if (start != -1 && end != -1) {
			window.news.requestImgLoading(start, end);
		}
	}
}

//
function reloadImage(i) {

	if (window.news) {
		var largepic = document.getElementById('largepic' + i);

		if (largepic != null
				&& (largepic.src == 'file:///android_asset/big_reload_img.png' || largepic.src == 'file:///android_asset/small_reload_img.png')) {

			largepic.src = 'file:///android_asset/img/small_loading0.png';
			window.news.reloadImg(i);

			return;
		}
	}
}

function setAddImgShowAndImgContentSimple(i, imgUrl) {
	var imgcontent = document.getElementById("imgContent_" + i);
	if (imgcontent) {
		// imgcontent.src = imgUrl;

	}
}

function setAddImgShowAndImgContent(i, imgUrl, width, height, finalWidth,
		finalHeight, offsetX, isFixedParam) {

	var imgcontent = document.getElementById("largepic" + i);
	if (null != imgcontent) {
		if (isFixedParam == 1) {
			var rectRight = parseInt(offsetX) + parseInt(finalWidth);
			imgcontent.style.left = "10px";// "-" + offsetX + "px";
			imgcontent.style.clip = "rect(auto, " + rectRight + "px, "
					+ finalHeight + "px, " + offsetX + "px)";
			imgcontent.style.width = width - 10 + "px";
			imgcontent.style.height = height + "px";
		}

		if (imgUrl != "big_reload_img.png" && imgUrl != "small_reload_img.png") {
			imgcontent.src = imgUrl;
			imgcontent.onclick = function() {
				toTopic(i);
			};
		}
	}
}

function updateProgress(i, percent, isBigImg, isTablet, isNoProgress) {
	if (percent == 0) {
		var imgVideo = document.getElementById("videoImg_" + i);
		if (imgVideo != null) {
			imgVideo.style.visibility = "hidden";
		}
	}

	var percent_i = document.getElementById("largepic" + i);
	if (!percent_i) {
		return;
	}

	var state = Math.floor(percent / 10);
	if (state > 9) {
		state = 9;
	} else if (state < 0) {
		state = 0;
	}

	var url;
	if (isBigImg) {
		url = isNoProgress ? "file:///android_asset/img/no_loading.png"
				: "file:///android_asset/img/loading" + state + ".png";
	} else {
		url = isNoProgress ? "file:///android_asset/img/small_no_loading.png"
				: "file:///android_asset/img/small_loading" + state + ".png";
	}
	if (percent_i.src != url) {
		percent_i.src = url;
	}
}

function initialize() {
	getTitle();
	getTime();
	getBody();
	getTextSize();
	requestImgLoading();
}
// 
function maodian(t) {
	location.hash = t;
}

//
window.onload = function() {
	initialize();
	window.scrollTo(0, 1);
	window.scrollTo(0, 0);
}

//
function toLink(i) {
	if (window.news) {
		window.news.toLink(i);
	}
}

function toRelative(i) {
	if (window.news) {
		window.news.toRelative(i);
	}
}

// 
function toTopic(i) {
	if (window.news) {
		window.news.toTopic(Number(i));
	}
}

// 
function toSearch(mKeyWord) {
	if (window.news) {
		window.news.toSearchResult(mKeyWord);
	}
}

// 
function newshotword(mKeyWord) {
	if (window.news) {
		window.news.toSearchResult(mKeyWord);
	}
}

// 
function shares(type) {
	if (window.news) {
		window.news.getShare(type);
	}
}

function hotisShow(isshow) {
	if (isshow) {
		$("#hot_container").show();
	} else {
		$("#hot_container").hide();
	}
}

function totaobaoAD(url){
	if (window.news) {
		window.news.opentaobaoAD(url);
	}
}

function toreward(){
	if (window.news) {
		window.news.openReward();
	}
}

